OntologyManager
Date: 2012-05-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.ontologymanagement.ontologymanagementservice.manager
Class OntologyManager

    java.lang.Object
      org.gcube.ontologymanagement.ontologymanagementservice.manager.OntologyManager

    public class OntologyManager

extends java.lang.Object

Field Summary
`static java.lang.String` | `GCUBE_COLLECTION_PROPERTY_LOCAL_NAME`
`static java.lang.String` | `GCUBE_COLLECTION_PROPERTY_URI`
`static java.lang.String` | `GCUBE_NS`
`static java.lang.String` | `GCUBE_NS_PREFIX`

Constructor Summary
`OntologyManager()`

Method Summary
`AddEquivalencePropertyToIndividualResponse` | `addEquivalencePropertyToIndividual(AddEquivalencePropertyToIndividual request)`
`AddOntologyClassesToGCubeIndividualResponse` | `addOntologyClassesToGCubeIndividual(AddOntologyClassesToGCubeIndividual request)`
`AddOntologyClassesToIndividualResponse` | `addOntologyClassesToIndividual(AddOntologyClassesToIndividual request)`
`CreateIndividualResponse` | `createIndividual(CreateIndividual request)`
`DeleteIndividualsResponse` | `deleteIndividuals(ArrayOfOWLIndividuals request)`
`DestroyOntologyResponse` | `destroyOntology(DestroyOntology request)`
`ExportTaxonomyResponse` | `exportTaxonomy(ExportTaxonomy request)`
`ArrayOfOWLPropertyValues` | `getDeclaredPropertyValues(ArrayOfOWLIndividuals request)`
`GetIndividualDescriptionResponse` | `getIndividualDescription(OWLIndividual individual)`
`ArrayOfOWLIndividuals` | `getIndividuals(GetIndividuals request)`
`java.lang.String` | `getOntologySchemaRSXML()`
`java.lang.String` | `getSearchFields(GetSearchFields request)`
`GetSubTaxonomyResponse` | `getSubTaxonomy(GetSubTaxonomy request)`
`java.lang.String` | `listIndividuals(ListIndividuals request)`
`RemoveOntologyClassFromIndividualResponse` | `removeOntologyClassFromIndividual(RemoveOntologyClassFromIndividual request)`
`java.lang.String` | `search(java.lang.String queryString)`
`SetPropertyValuesResponse` | `setPropertyValues(ArrayOfOWLPropertyValues request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GCUBE_NS

    public static java.lang.String GCUBE_NS

### GCUBE_NS_PREFIX

    public static java.lang.String GCUBE_NS_PREFIX

### GCUBE_COLLECTION_PROPERTY_LOCAL_NAME

    public static java.lang.String GCUBE_COLLECTION_PROPERTY_LOCAL_NAME

### GCUBE_COLLECTION_PROPERTY_URI

    public static java.lang.String GCUBE_COLLECTION_PROPERTY_URI

Constructor Detail

### OntologyManager

    public OntologyManager()

Method Detail

### getOntologySchemaRSXML

    public java.lang.String getOntologySchemaRSXML()
                                            throws GCUBEFault

  Throws:
    `GCUBEFault`

### addEquivalencePropertyToIndividual

    public AddEquivalencePropertyToIndividualResponse addEquivalencePropertyToIndividual(AddEquivalencePropertyToIndividual request)
                                                                                  throws GCUBEFault

  Throws:
    `GCUBEFault`

### addOntologyClassesToIndividual

    public AddOntologyClassesToIndividualResponse addOntologyClassesToIndividual(AddOntologyClassesToIndividual request)
                                                                          throws GCUBEFault

  Throws:
    `GCUBEFault`

### addOntologyClassesToGCubeIndividual

    public AddOntologyClassesToGCubeIndividualResponse addOntologyClassesToGCubeIndividual(AddOntologyClassesToGCubeIndividual request)
                                                                                    throws GCUBEFault

  Throws:
    `GCUBEFault`

### removeOntologyClassFromIndividual

    public RemoveOntologyClassFromIndividualResponse removeOntologyClassFromIndividual(RemoveOntologyClassFromIndividual request)
                                                                                throws GCUBEFault

  Throws:
    `GCUBEFault`

### createIndividual

    public CreateIndividualResponse createIndividual(CreateIndividual request)
                                              throws GCUBEFault

  Throws:
    `GCUBEFault`

### getIndividuals

    public ArrayOfOWLIndividuals getIndividuals(GetIndividuals request)
                                         throws GCUBEFault

  Throws:
    `GCUBEFault`

### getIndividualDescription

    public GetIndividualDescriptionResponse getIndividualDescription(OWLIndividual individual)
                                                              throws GCUBEFault

  Throws:
    `GCUBEFault`

### deleteIndividuals

    public DeleteIndividualsResponse deleteIndividuals(ArrayOfOWLIndividuals request)
                                                throws GCUBEFault

  Throws:
    `GCUBEFault`

### getDeclaredPropertyValues

    public ArrayOfOWLPropertyValues getDeclaredPropertyValues(ArrayOfOWLIndividuals request)
                                                       throws GCUBEFault

  Throws:
    `GCUBEFault`

### setPropertyValues

    public SetPropertyValuesResponse setPropertyValues(ArrayOfOWLPropertyValues request)
                                                throws GCUBEFault

  Throws:
    `GCUBEFault`

### destroyOntology

    public DestroyOntologyResponse destroyOntology(DestroyOntology request)

### listIndividuals

    public java.lang.String listIndividuals(ListIndividuals request)
                                     throws GCUBEFault

  Throws:
    `GCUBEFault`

### exportTaxonomy

    public ExportTaxonomyResponse exportTaxonomy(ExportTaxonomy request)
                                          throws GCUBEFault

  Throws:
    `GCUBEFault`

### getSubTaxonomy

    public GetSubTaxonomyResponse getSubTaxonomy(GetSubTaxonomy request)
                                          throws GCUBEFault

  Throws:
    `GCUBEFault`

### search

    public java.lang.String search(java.lang.String queryString)
                            throws GCUBEFault

  Throws:
    `GCUBEFault`

### getSearchFields

    public java.lang.String getSearchFields(GetSearchFields request)
                                     throws GCUBEFault

  Throws:
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD